<link href="_lib/search.css" rel="stylesheet" type="text/css">
<link href="_lib/gradient.css" rel="stylesheet" type="text/css">
<a class="button" onclick="window.open('data:application/msexcel,'+document.getElementById('export').outerHTML.replace(/ /g, '%20'));">Export Data ke Excel</a>&nbsp;<a class="button" onclick="window.open('data:application/msword,'+document.getElementById('export').outerHTML.replace(/ /g, '%20'));">Export Data ke Word</a>
<?php
include 'config/koneksi.php';
include '_lib/fungsi_indotgl.php';	

$posisi  = 0;
$bulan = $_POST['bulan'];
$year = $_POST['tahun'];
$hakim = $_POST['hakim'];

$hasil = mysql_query("SELECT 
a.nomor_perkara,
a.tanggal_pendaftaran,
f.nama_gelar AS nama_ketua_majelis,
b.penetapan_majelis_hakim,
b.penetapan_panitera_pengganti,
b.penetapan_jurusita,
b.penetapan_hari_sidang,
b.sidang_pertama,
(SELECT MAX(h.tanggal_sidang) 
FROM perkara_jadwal_sidang h 
WHERE h.perkara_id = a.perkara_id
ORDER BY h.tanggal_sidang DESC) AS tgl_sidang_last,
c.tanggal_putusan,
c.tanggal_minutasi
FROM perkara a
LEFT JOIN perkara_penetapan b ON a.perkara_id = b.perkara_id
LEFT JOIN perkara_putusan c ON a.perkara_id = c.perkara_id  
LEFT JOIN perkara_hakim_pn e ON e.perkara_id = a.perkara_id
LEFT JOIN hakim_pn f ON f.id = e.hakim_id
WHERE f.nama_gelar = '$hakim'
AND e.aktif = 'Y'
AND e.urutan = '1'
AND DATE(a.tanggal_pendaftaran) <= '$year-$bulan-31'
AND (c.tanggal_putusan IS NULL OR DATE(c.tanggal_putusan) >= '$year-$bulan-01' AND DATE(c.tanggal_putusan) <= NOW())
ORDER BY a.tanggal_pendaftaran ASC") or die("Query failed with error: ".mysql_error());


echo "<div id='export'>";
echo "<h2>Laporan Kegiatan Hakim</h2><br>";
echo "<table align=center><tr>
    <th width='2%'>No.</th>
	<th width='13%'>No. Perkara</th>
	<th width='9%'>Tanggal Daftar</th>
	<th width='9%'>Tanggal PMH</th>
	<th width='9%'>Tanggal PP</th>
	<th width='9%'>Tanggal JSP</th>
	<th width='9%'>Tanggal PHS</th>
	<th width='9%'>Sidang Pertama</th>
	<th width='9%'>Sidang Terakhir</th>	
	<th width='9%'>Tanggal Putus</th>
	<th width='9%'>Tanggal Minutasi</th>
	<th>Ket.</th></tr>";
	
$no = $posisi+1;
$totalperkara = mysql_num_rows($hasil);
$bulann = getBulan($bulan);
echo "<p align=left>Ketua Majelis : <b>$hakim</b></p><br>";
echo "<p align=left>Bulan 		  : <b>$bulann</b></p><br>";
echo "<p align=left>Total 		  : <b>$totalperkara</b> Perkara</p><br>";
?>

<?php
while($r= mysql_fetch_array($hasil)){
$tanggal1 = tgl_indo($r['tanggal_pendaftaran']);
$tanggal2 = tgl_indo($r['penetapan_majelis_hakim']);
$tanggal3 = tgl_indo($r['penetapan_panitera_pengganti']);
$tanggal4 = tgl_indo($r['penetapan_jurusita']);
$tanggal5 = tgl_indo($r['penetapan_hari_sidang']);
$tanggal6 = tgl_indo($r['sidang_pertama']);
$tanggal7 = tgl_indo($r['tgl_sidang_last']);
$tanggal8 = tgl_indo($r['tanggal_putusan']);
$tanggal9 = tgl_indo($r['tanggal_minutasi']);

echo "<tr>
  <td align='center'>$no</td>
  <td>$r[nomor_perkara]</td>
  <td align='center'>$tanggal1</td>
  <td align='center'>$tanggal2</td>
  <td align='center'>$tanggal3</td>
  <td align='center'>$tanggal4</td>
  <td align='center'>$tanggal5</td>
  <td align='center'>$tanggal6</td>
  <td align='center'>$tanggal7</td>
  <td align='center'>$tanggal8</td>
  <td align='center'>$tanggal9</td>
  <td align='center'></td>";
  $no++;
  }
echo "</table><br>";
?>